import java.util.Scanner;
import java.util.Random;
import java.io.PrintWriter;
import java.io.File;

/**
 * Created by IntelliJ IDEA.
 * User: Ãëåá
 * Date: 18.11.2009
 * Time: 12:47:25
 * To change this template use File | Settings | File Templates.
 */
public class Generator implements Runnable {

    final String fileName = "points";
    final int MAX_NUM = 100000;
    final int MAX_COORD = 100;
    Scanner in;
    PrintWriter out;

    public void run() {
        try {
            out = new PrintWriter( new File( fileName + ".in" ) );
            Random r = new Random();
            int numPoints = r.nextInt( MAX_NUM ) + 1;
            for(int i = 0; i < numPoints; i++) {
                int a = r.nextInt(2 * MAX_COORD) - MAX_COORD;
                int b = r.nextInt(2 * MAX_COORD) - MAX_COORD;
                out.println(a + " " + b);
            }
            //in.close();
            out.close();
        } catch ( Exception e ) {
            e.printStackTrace();
            System.exit( 1 );
        }
    }

    public static void main( String[] args ) {
        new Thread( new Generator() ).start();
    }
}
